FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo Alt

 
 
LinkBack Thread Tools
 
Old 08-01-2011, 09:41 PM
Logan Bowers
 
Default Problem building Python 2.7.2 on Lion

Hey all,

I just tried to `emerge python` to upgrade from 2.7.1 to 2.7.2 on my new Lion box (dunno if that has anything to do with it or not), and I'm getting this error. Any ideas?

x86_64-apple-darwin10-gcc -bundle -undefined dynamic_lookup -Wl,-dead_strip_dylibs -L. -Wl,-dead_strip_dylibs -L. -fno-strict-aliasing -fno-common -dynamic -march=nocona -O2 -pipe -fnested-functions -fwrapv -I/Volumes/Gentoo/usr/include -L/Volumes/Gentoo/lib -L/Volumes/Gentoo/usr/lib -DNDEBUG -I. -IInclude -I./Include build/temp.macosx-10.6-x86_64-2.7/Volumes/Gentoo/var/tmp/portage/dev-lang/python-2.7.2/work/Python-2.7.2/Modules/_ctypes/_ctypes.o build/temp.macosx-10.6-x86_64-2.7/Volumes/Gentoo/var/tmp/portage/dev-lang/python-2.7.2/work/Python-2.7.2/Modules/_ctypes/callbacks.o build/temp.macosx-10.6-x86_64-2.7/Volumes/Gentoo/var/tmp/portage/dev-lang/python-2.7.2/work/Python-2.7.2/Modules/_ctypes/callproc.o build/temp.macosx-10.6-x86_64-2.7/Volumes/Gentoo/var/tmp/portage/dev-lang/python-2.7.2/work/Python-2.7.2/Modules/_ctypes/stgdict.o build/temp.macosx-10.6-x86_64-2.7/Volumes/Gentoo/var/tmp/portage/dev-lang/python-2.7.2/work/Python-2.7.2/Modules/_ctypes/cfield.o build/temp.macosx-10.6-x86_64-2.7/Volumes/Gentoo/var/tmp/portage/dev-lang/python-2.7.2/work/Python-2.7.2/Modules/_ctypes/malloc_closure.o build/temp.macosx-10.6-x86_64-2.7/Volumes/Gentoo/var/tmp/portage/dev-lang/python-2.7.2/work/Python-2.7.2/Modules/_ctypes/darwin/dlfcn_simple.o -L/Volumes/Gentoo/usr/lib -L. -lffi -o build/lib.macosx-10.6-x86_64-2.7/_ctypes.bundle
ld: -allow_stack_execute option can only be used when linking a main executable
collect2: ld returned 1 exit status


Thanks!

Logan Bowers
 
Old 08-02-2011, 06:03 AM
Fabian Groffen
 
Default Problem building Python 2.7.2 on Lion

On 01-08-2011 14:41:33 -0700, Logan Bowers wrote:
> Hey all,
>
> I just tried to `emerge python` to upgrade from 2.7.1 to 2.7.2 on my new Lion box (dunno if that has anything to do with it or not), and I'm getting this error. Any ideas?

You probably didn't rebootstrap after updating to Lion, did you? I'm
affraid that is necessary, since your CHOST still is set to darwin10.
You can try and see what happens if you change your profile symlink to
point to the 10.7 (Lion) profiles. Python might do something
intelligent with that. Anyway, if you change your profile like this,
make sure to recompile binutils-apple and gcc-apple.


--
Fabian Groffen
Gentoo on a different level
 
Old 08-03-2011, 08:46 PM
Logan Bowers
 
Default Problem building Python 2.7.2 on Lion

Indeed I did not. Thanks!

Logan Bowers

On Aug 1, 2011, at 11:03 PM, Fabian Groffen wrote:

> On 01-08-2011 14:41:33 -0700, Logan Bowers wrote:
>> Hey all,
>>
>> I just tried to `emerge python` to upgrade from 2.7.1 to 2.7.2 on my new Lion box (dunno if that has anything to do with it or not), and I'm getting this error. Any ideas?
>
> You probably didn't rebootstrap after updating to Lion, did you? I'm
> affraid that is necessary, since your CHOST still is set to darwin10.
> You can try and see what happens if you change your profile symlink to
> point to the 10.7 (Lion) profiles. Python might do something
> intelligent with that. Anyway, if you change your profile like this,
> make sure to recompile binutils-apple and gcc-apple.
>
>
> --
> Fabian Groffen
> Gentoo on a different level
>
 
Old 08-04-2011, 02:14 AM
Logan Bowers
 
Default Problem building Python 2.7.2 on Lion

It looks like gettext doesn't compile on Lion; the homebrew folks are having the same problem. :/ Want a bug on that?

https://github.com/mxcl/homebrew/issues/5353

Logan Bowers

On Aug 1, 2011, at 11:03 PM, Fabian Groffen wrote:

> On 01-08-2011 14:41:33 -0700, Logan Bowers wrote:
>> Hey all,
>>
>> I just tried to `emerge python` to upgrade from 2.7.1 to 2.7.2 on my new Lion box (dunno if that has anything to do with it or not), and I'm getting this error. Any ideas?
>
> You probably didn't rebootstrap after updating to Lion, did you? I'm
> affraid that is necessary, since your CHOST still is set to darwin10.
> You can try and see what happens if you change your profile symlink to
> point to the 10.7 (Lion) profiles. Python might do something
> intelligent with that. Anyway, if you change your profile like this,
> make sure to recompile binutils-apple and gcc-apple.
>
>
> --
> Fabian Groffen
> Gentoo on a different level
>
 
Old 08-04-2011, 06:52 AM
Fabian Groffen
 
Default Problem building Python 2.7.2 on Lion

On 03-08-2011 19:14:15 -0700, Logan Bowers wrote:
> It looks like gettext doesn't compile on Lion; the homebrew folks are having the same problem. :/ Want a bug on that?

Yes please. I'm waiting for my Lion to arrive soon (more: the
hardware it will run on) and expect to be able to debug and fix all Lion
issues with bootstraps from then...

> https://github.com/mxcl/homebrew/issues/5353


--
Fabian Groffen
Gentoo on a different level
 

Thread Tools




All times are GMT. The time now is 11:32 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org